
# Tx::__construct 

### Usage

>  Tx::__construct([ int $id = '0' ], [ int $account_id = '0' ], [ string $uuid = '' ], [ TxStatus $status =  ], [ string $adapter = 'system' ], [ int $index_id = '0' ], [ int $reference_id = '0' ], [ string $currency = '' ], [ string $from_currency = '' ], [ string | float $amount = '0' ], [ string | float $from_amount = '0' ], [ string | float $base_amount = '0' ], [ string | float $fee = '0' ], [ float $fee_percent = '0' ], [ int $payment_id = '0' ], [ string $ip_address = '' ], [ string $description = '' ], [ ?DateTime $created_at = null ], [ ?DateTime $updated_at = null ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | No | int |
account_id | No | int |
uuid | No | string |
status | No | TxStatus |
adapter | No | string |
index_id | No | int |
reference_id | No | int |
currency | No | string |
from_currency | No | string |
amount | No | string | float |
from_amount | No | string | float |
base_amount | No | string | float |
fee | No | string | float |
fee_percent | No | float |
payment_id | No | int |
ip_address | No | string |
description | No | string |
created_at | No | ?DateTime |
updated_at | No | ?DateTime |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getAccount()](getaccount)
* [getAdapter()](getadapter)
* [getChildren()](getchildren)
* [getCurrency()](getcurrency)
* [getNotes()](getnotes)
* [getOrigTx()](getorigtx)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toDisplayArray()](todisplayarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


